| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::guild_command_permissions Class Reference

Returned when fetching the permissions for a command in a guild. More...

`#include <appcommand.h>`

Inheritance diagram for dpp::guild_command_permissions:
[legend]
Collaboration diagram for dpp::guild_command_permissions:
[legend]

## Public Member Functions

| guild_command_permissions ()
| Construct a new guild command permissions object.
virtual | ~guild_command_permissions ()=default
std::string | build_json (bool with_id=false) const
| Convert object to json string.
guild_command_permissions & | fill_from_json (nlohmann::json *j)
| Convert object from nlohmann::json.
auto | to_json (bool with_id=false) const
| Convert object to nlohmann::json.

## Public Attributes

snowflake | application_id
| The id of the application the command belongs to.
snowflake | guild_id
| The id of the guild.
snowflake | id
| The id of the command.
std::vector< command_permission > | permissions
| The permissions for the command, in the guild.

## Protected Member Functions

guild_command_permissions & | fill_from_json_impl (nlohmann::json *j)
| Fill object properties from JSON.

## Friends

struct | json_interface< guild_command_permissions >

## Detailed Description

Returned when fetching the permissions for a command in a guild.

## Constructor & Destructor Documentation

## ◆ guild_command_permissions()

dpp::guild_command_permissions::guild_command_permissions | ( |  | ) |

Construct a new guild command permissions object.

## ◆ ~guild_command_permissions()

virtual dpp::guild_command_permissions::~guild_command_permissions | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ build_json()

std::string dpp::json_interface< guild_command_permissions >::build_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to json string.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  std::string Json built from the structure

## ◆ fill_from_json()

guild_command_permissions & dpp::json_interface< guild_command_permissions >::fill_from_json | ( | nlohmann::json * | j | ) |

inline inherited

Convert object from nlohmann::json.

Parameters

  j | nlohmann::json object

Returns
  T& Reference to self for fluent calling

## ◆ fill_from_json_impl()

guild_command_permissions & dpp::guild_command_permissions::fill_from_json_impl | ( | nlohmann::json * | j | ) |

protected

Fill object properties from JSON.

Parameters

  j | JSON to fill from

Returns
  guild_command_permissions& Reference to self

## ◆ to_json()

auto dpp::json_interface< guild_command_permissions >::to_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to nlohmann::json.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  json Json built from the structure

## Friends And Related Symbol Documentation

## ◆ json_interface< guild_command_permissions >

friend struct json_interface< guild_command_permissions >

friend

## Member Data Documentation

## ◆ application_id

snowflake dpp::guild_command_permissions::application_id

The id of the application the command belongs to.

## ◆ guild_id

snowflake dpp::guild_command_permissions::guild_id

The id of the guild.

## ◆ id

snowflake dpp::guild_command_permissions::id

The id of the command.

## ◆ permissions

std::vector<command_permission> dpp::guild_command_permissions::permissions

The permissions for the command, in the guild.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0